Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 722110 - dev-libs/nss-3.52 - ld: failed to merge target specific data of file Linux2.6_ppc_powerpc64-unknown-linux-gnu-gcc_glibc_PTH_64_OPT.OBJ/Linux_SINGLE_SHLIB/sha512-p8.o
Summary: dev-libs/nss-3.52 - ld: failed to merge target specific data of file Linux2.6...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: PPC64 Linux
: Normal normal (vote)
Assignee: Mozilla Gentoo Team
URL: https://bugzilla.mozilla.org/show_bug...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-10 12:05 UTC by ernsteiswuerfel
Modified: 2020-06-29 21:03 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (nss-3.52:20200510-114322.log,205.42 KB, text/plain)
2020-05-10 12:05 UTC, ernsteiswuerfel
Details
emerge --info (file_722110.txt,6.28 KB, text/plain)
2020-05-10 12:06 UTC, ernsteiswuerfel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ernsteiswuerfel archtester 2020-05-10 12:05:32 UTC
Created attachment 637518 [details]
build.log

[...]
/usr/lib/gcc/powerpc64-unknown-linux-gnu/9.3.0/../../../../powerpc64-unknown-linux-gnu/bin/ld: Linux2.6_ppc_powerpc64-unknown-linux-gnu-gcc_glibc_PTH_64_OPT.OBJ/Linux_SINGLE_SHLIB/sha512-p8.o: ABI version 2 is not compatible with ABI version 1 output
/usr/lib/gcc/powerpc64-unknown-linux-gnu/9.3.0/../../../../powerpc64-unknown-linux-gnu/bin/ld: failed to merge target specific data of file Linux2.6_ppc_powerpc64-unknown-linux-gnu-gcc_glibc_PTH_64_OPT.OBJ/Linux_SINGLE_SHLIB/sha512-p8.o
collect2: error: ld returned 1 exit status
make[3]: *** [../../coreconf/rules.mk:291: Linux2.6_ppc_powerpc64-unknown-linux-gnu-gcc_glibc_PTH_64_OPT.OBJ/Linux_SINGLE_SHLIB/libfreeblpriv3.so] Error 1
make[3]: Leaving directory '/var/tmp/portage/dev-libs/nss-3.52/work/nss-3.52/nss-.ppc64/lib/freebl'
make[2]: *** [Makefile:650: libs] Error 2
make[2]: Leaving directory '/var/tmp/portage/dev-libs/nss-3.52/work/nss-3.52/nss-.ppc64/lib/freebl'
make[1]: *** [../coreconf/rules.mk:101: libs] Error 2
make[1]: Leaving directory '/var/tmp/portage/dev-libs/nss-3.52/work/nss-3.52/nss-.ppc64/lib'
make: *** [coreconf/rules.mk:101: libs] Error 2
make: Leaving directory '/var/tmp/portage/dev-libs/nss-3.52/work/nss-3.52/nss-.ppc64'
 * ERROR: dev-libs/nss-3.52::gentoo failed (compile phase):
Comment 1 ernsteiswuerfel archtester 2020-05-10 12:06:06 UTC
Created attachment 637520 [details]
emerge --info
Comment 2 Marcus Comstedt 2020-05-16 21:07:32 UTC
I confirm this issue.

Note that since USE_PPC_CRYPTO is currently only defined on little endian,
the code in sha512-p8.s is not actually used, so a simple workaround is to
simply remove sha512-p8.s from ASFILES in nss/lib/freebl/Makefile.
Comment 3 ernsteiswuerfel archtester 2020-06-04 21:12:22 UTC
Applied this upstream patch on nss-3.52.1 which makes it build again on my Talos II: https://bug1642174.bmoattachments.org/attachment.cgi?id=9153128
Comment 4 ernsteiswuerfel archtester 2020-06-20 14:25:57 UTC
Not fixed in upstream 3.53.1 yet.
Comment 5 ernsteiswuerfel archtester 2020-06-23 18:36:12 UTC
Upstream says fix will be included in 3.55.
Comment 6 Larry the Git Cow gentoo-dev 2020-06-28 19:05:25 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=893f2d565c0bc752426907f28a641bec6828574c

commit 893f2d565c0bc752426907f28a641bec6828574c
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2020-06-28 19:05:08 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2020-06-28 19:05:19 +0000

    dev-libs/nss: fix building on PPC
    
    Closes: https://bugs.gentoo.org/722110
    Package-Manager: Portage-2.3.101, Repoman-2.3.22
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 .../nss/files/nss-3.53-fix-building-on-ppc.patch   | 39 ++++++++++++++++++++++
 dev-libs/nss/nss-3.52.1-r1.ebuild                  |  1 +
 dev-libs/nss/nss-3.53.1.ebuild                     |  1 +
 3 files changed, 41 insertions(+)
Comment 7 Georgy Yakovlev gentoo-dev 2020-06-29 20:05:29 UTC
3.54
Comment 8 Larry the Git Cow gentoo-dev 2020-06-29 21:03:12 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5c5607e394bfaf88ebba5792ff2354e26c5707ee

commit 5c5607e394bfaf88ebba5792ff2354e26c5707ee
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-06-29 20:59:31 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-06-29 21:02:18 +0000

    dev-libs/nss: update ppc abi patch
    
    Bug: https://bugs.gentoo.org/722110
    Closes: https://bugs.gentoo.org/730172
    Package-Manager: Portage-2.3.103, Repoman-2.3.23
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 dev-libs/nss/files/nss-3.53-fix-building-on-ppc.patch | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)